hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Kalnichevski (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (HTTPASYNC-61) HttpAsyncClient 4.0 maven pom should use (at least) HttpClient 4.3.1
Date Tue, 03 Dec 2013 13:32:36 GMT

     [ https://issues.apache.org/jira/browse/HTTPASYNC-61?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Oleg Kalnichevski resolved HTTPASYNC-61.
----------------------------------------

    Resolution: Invalid

Joel
HttpAsyncClient 4.0 depends on the latest stable releases of both HttpCore and HttpClient.
See for yourself [1]. 

There must be something wrong with your project setup / POM configuration

Oleg

[1] http://search.maven.org/remotecontent?filepath=org/apache/httpcomponents/httpcomponents-asyncclient/4.0/httpcomponents-asyncclient-4.0.pom

> HttpAsyncClient 4.0 maven pom should use (at least) HttpClient 4.3.1
> --------------------------------------------------------------------
>
>                 Key: HTTPASYNC-61
>                 URL: https://issues.apache.org/jira/browse/HTTPASYNC-61
>             Project: HttpComponents HttpAsyncClient
>          Issue Type: Task
>    Affects Versions: 4.0 Final
>            Reporter: Joel Costigliola
>            Priority: Blocker
>
> httpasyncclient 4.0 should depend on the correct versions of httpclient and httpcore.
> With this maven dependency ...
> <dependency>
> 	<groupId>org.apache.httpcomponents</groupId>
> 	<artifactId>httpasyncclient</artifactId>
> 	<version>4.0</version>
> </dependency>
> ... executing mvn dependency:tree gives :
> [INFO] +- org.apache.httpcomponents:httpasyncclient:jar:4.0:compile
> [INFO] |  +- org.apache.httpcomponents:httpcore:jar:4.2.3:compile (version managed from
4.3)
> [INFO] |  +- org.apache.httpcomponents:httpcore-nio:jar:4.3:compile
> [INFO] |  \- org.apache.httpcomponents:httpclient:jar:4.2.3:compile (version managed
from 4.3.1; scope managed from compile)
> [INFO] |     \- commons-codec:commons-codec:jar:1.7:compile (version managed from 1.6;
scope managed from compile)
> It turns out httpcore and httpclient version are outdated (4.2.3) as mentioned in  HTTPASYNC-58.
> Note that httpcomponents-asyncclient-4.0-bin.zip includes newer httpcore and httpclient
version in its lib directory.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message